name: base
channels:
- conda-forge
dependencies:
- traits # ==6.3.2
- matplotlib # ==3.3.3
- numpy # ==1.22.2
- sympy # ==1.10.1
- scipy # ==1.8.0
- k3d # ==2.12.0
- ipywidgets # ==7.6.5
- ipympl # ==0.8.8
# - ipyregulartable # ==0.2.0
- ipytree # ==0.2.1
#- pyface==7.3.0
#- traitsui==7.1.0
- importlib_resources # ==5.4.0
- pip
- pip:
  - bmcs-utils==0.0.31a0
  - bmcs-ibvpy==0.0.21a0
  - bmcs-cross-section==0.0.54a0
  - bmcs-beam==0.0.17a0